SELECT Код_типа_реактора INTO #TmpTable FROM Справочник_шунтирующих_реакторов
SET IDENTITY_INSERT Справочник_шунтирующих_реакторов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 1) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (1,'РОМ-1200/10У1 Unom=3.81',3.81,1100,20,3800)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 2) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (2,'РОМ-1200/10У1 Unom=6.35',6.35,1100,20,3800)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 3) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (3,'РТМ-3300/6У1',6.6,3300,35,8800)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 4) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (4,'РТМ-3300/10У1',11,3300,35,8800)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 5) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (5,'РТД-20000/35У1',38.5,20000,120,31900)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 6) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (6,'РОД-30000/35У1',22.23,30000,180,35500)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 7) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (7,'РОД-33333/110У1',69.8,33333,180,40000)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 8) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (8,'РОДЦ-55000/400У1',242.49,55000,170,60000)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 9) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (9,'РОДЦ-60000/500У1',303.12,60000,205,66000)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 10) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (10,'РОДЦ-110000/750У1',454.39,110000,350,99000)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_реактора = 11) INSERT INTO Справочник_шунтирующих_реакторов (Код_типа_реактора,Описание,Unom,Snom,Потери,Масса) VALUES (11,'РОДЦ-300000/1150У1',692.84,300000,900,250000)

SET IDENTITY_INSERT Справочник_шунтирующих_реакторов OFF
DROP TABLE #TmpTable
